package com.philisense.www.dao.impl;

import com.philisense.www.dao.ProUserProjectDAO;
import com.philisense.www.mapper.ProUserProjectMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public class ProUserProjectDAOImpl implements ProUserProjectDAO {
        @Autowired
        private ProUserProjectMapper proUserProjectMapper;
        @Override
        public int deleteByPrimaryKey(String id) {
            return proUserProjectMapper.deleteByPrimaryKey(id);
        }

        @Override
        public Map<String, Object> selectByPrimaryKey(String id) {
            return proUserProjectMapper.selectByPrimaryKey(id);
        }

        @Override
        public int insert(Map<String, Object> map) {
            return proUserProjectMapper.insert(map);
        }

        @Override
        public int update(Map<String, Object> map) {
            return proUserProjectMapper.update(map);
        }

        @Override
        public int deleteByMap(Map<String, Object> map) {
            return proUserProjectMapper.deleteByMap(map);
        }

        @Override
        public int updateByMap(Map<String, Object> map) {
            return proUserProjectMapper.updateByMap(map);
        }

        @Override
        public Map<String, Object> getOne(Map<String, Object> map) {
            return proUserProjectMapper.getOne(map);
        }

        @Override
        public List<Map<String, Object>> getAll(Map<String, Object> map) {
            return proUserProjectMapper.getAll(map);
        }

        @Override
        public List<Map<String, Object>> queryPage(Map<String, Object> map) {
            return proUserProjectMapper.queryPage(map);
        }

        @Override
        public int count(Map<String, Object> map) {
            return proUserProjectMapper.count(map);
        }

        @Override
        public void insertBatch(List<Map<String, Object>> list) {
            proUserProjectMapper.insertBatch(list);
        }

        @Override
        public void deleteBatch(List<Map<String, Object>> list) {
            proUserProjectMapper.deleteBatch(list);
        }

        @Override
        public void updateBatch(List<Map<String, Object>> list) {
            proUserProjectMapper.updateBatch(list);
        }

        @Override
        public List<Map<String, Object>> getPageProUserByProjectId(Map<String, Object> map) {
            return proUserProjectMapper.getPageProUserByProjectId(map);
        }

        @Override
        public int getCountProUserByProjectId(Map<String, Object> map) {
            return proUserProjectMapper.getCountProUserByProjectId(map);
        }
}
